QName.h File Reference

Licensed to the University Corporation for Advanced Internet Development, Inc. More...

`#include <xmltooling/unicode.h>`
`#include <algorithm>`
Include dependency graph for QName.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | xmltooling::QName
| A data structure for encapsulating XML QNames. More...

## Namespaces

namespace | xmltooling
| Public namespace of XML Tooling library.

## Functions

bool | xmltooling::operator< (const QName &op1, const QName &op2)
| Returns true iff op1's namespace lexically compares less than op2's namespace, or if equal, iff op1's prefix lexically compares less than op2's prefix.
bool | xmltooling::operator== (const QName &op1, const QName &op2)
| Returns true iff op1's components are equal to op2's components, excluding prefix.
bool | xmltooling::operator!= (const QName &op1, const QName &op2)
| Returns true iff op1's components are not equal to op2's components, excluding prefix.

## Detailed Description

Licensed to the University Corporation for Advanced Internet Development, Inc.

(UCAID) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership.

UCAID licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Representing XML QNames